<template>
  <Header/>
  <section id="section-router-view">
    <div id="sidebar-active"></div>
    <router-view class="xl:px-24 sm:px-0 pt-2"/>
  </section>
</template>

<script>
import {useStore} from "vuex";
import Header from "./components/Header.vue";
import {computed} from "vue";

export default {
  components: {
    Header,
  },

  setup() {
    const store = useStore()
    let user = computed(function () {
      return store.state.user
    });
    let profile = computed(function () {
      return store.state.profile
    });
    return {
      // user,
    }
  },
}
</script>
<style>
div, p, a {
  padding: 0;
  margin: 0;
}
</style>
